package com.fjhx.sale.service.documents.impl;

import com.fjhx.sale.entity.documents.po.DocumentsPdf;
import com.fjhx.sale.mapper.documents.DocumentsPdfMapper;
import com.fjhx.sale.service.documents.DocumentsPdfService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.documents.vo.DocumentsPdfVo;
import com.fjhx.sale.entity.documents.dto.DocumentsPdfSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.sale.entity.documents.dto.DocumentsPdfDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 单证PDF数据存放表 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
@Service
public class DocumentsPdfServiceImpl extends ServiceImpl<DocumentsPdfMapper, DocumentsPdf> implements DocumentsPdfService {

    @Override
    public Page<DocumentsPdfVo> getPage(DocumentsPdfSelectDto dto) {
        IWrapper<DocumentsPdf> wrapper = getWrapper();
        wrapper.orderByDesc("dp", DocumentsPdf::getId);
        Page<DocumentsPdfVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public DocumentsPdfVo detail(Long id) {
        DocumentsPdf DocumentsPdf = this.getById(id);
        DocumentsPdfVo result = BeanUtil.toBean(DocumentsPdf, DocumentsPdfVo.class);
        return result;
    }

    @Override
    public void add(DocumentsPdfDto documentsPdfDto) {
        this.saveOrUpdate(documentsPdfDto);
    }

    @Override
    public void edit(DocumentsPdfDto documentsPdfDto) {
        this.updateById(documentsPdfDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
